Search Engine Compatibility Matrix

Abbreviations used on this page:

  • GA = General Availability
  • FP = Fix Pack
  • SP = Service Pack
  • LES = Liferay Enterprise Search
  • CE = Community Edition

Liferay Commerce

Commerce Version Elasticsearch Major Version* Elasticsearch Connector
(Marketplace Version)
2.0.0 - 2.1.2 6 Bundled with Liferay DXP
3.0.0+ 7 Bundled with Liferay DXP

* Please refer to the compatibility matrix of your Liferay DXP version below for the detailed Elasticsearch compatibility including the compatible connector versions and required patch levels.

Liferay DXP 7.3

DXP Patch Level Elasticsearch Version(s) Elasticsearch Connector
(Marketplace Version)
JDK
(Elasticsearch)
DXP 7.3 GA1+ 7.9+ Bundled on the specified patch level* See Elastic's
Elasticsearch and JVM Support Matrix

* The functionality of the Liferay Enterprise Search Security (formerly Liferay Connector to X-Pack Security) module is included in the Liferay Connector to Elasticsearch 7 which is bundled with DXP 7.3. 
Please see this article for a technical overview of the Elasticsearch connectors available for Liferay DXP. To learn more about the factors that influence Liferay DXP’s compatibility with Elasticsearch click here.

Liferay DXP 7.2

Elasticsearch

DXP Patch Level

Elasticsearch Version(s)

Elasticsearch Connector (Marketplace Version)

JDK (Elasticsearch)

DXP 7.2 GA1 - FP4

6.5.x - 6.8.x

Bundled on the specified patch level

Oracle JDK 8

Oracle JDK 11**

All Java TCK compliant builds of Java 11 and
Java 8

FP5+/SP2+

6.8.x

FP2+/SP1+ through FP4

7.3.x - 7.9.x

Liferay Connector to Elasticsearch 7* (v3.0.0)

FP5+/SP2+ through FP7

Liferay Connector to Elasticsearch 7* (v3.0.1)

FP8+/SP3+

Liferay Connector to Elasticsearch 7* (v3.1.0)

FP9+/SP4+

7.9.x - 7.10.x

Liferay Connector to Elasticsearch 7* (v3.2.0,v3.2.1)

* The functionality of the Liferay Enterprise Search Security (formerly Liferay Connector to X-Pack Security) module is included in the Liferay Connector to Elasticsearch 7.
** Oracle JDK 11 and other Java TCK compliant builds of Java 11 and 8 are compatible with Elastic Stack 6.6.0+.
Please see this article for a technical overview of the Elasticsearch connectors available for Liferay DXP. To learn more about the factors that influence Liferay DXP’s compatibility with Elasticsearch click here.

Solr

DXP Patch Level

Solr Version(s)

Solr Connector
(Marketplace Version)

DXP 7.2 GA1 through FP1

7.5.x

Liferay Connector to Solr 7 (v2.0.0)

FP2/SP1 through FP4

Liferay Connector to Solr 7 (v2.0.1)

FP5/SP2 through FP7

Liferay Connector to Solr 7 (v2.0.2)

FP8+/SP3+

Liferay Connector to Solr 7 (v2.1.0)

FP10+

Liferay Connector to Solr 7 (v2.1.1)

 

Liferay DXP 7.1

Elasticsearch

DXP Patch Level

Elasticsearch Version(s)

Elasticsearch Connector (Marketplace Version)

JDK (Elasticsearch)

DXP 7.1 GA1 - FP4

6.1.x

Bundled on the specified patch levelBundled on the specified patch level

Oracle JDK 8

Oracle JDK 11

All Java TCK compliant
builds of Java 11 and
Java 8**

FP5+ through FP19

6.5.x - 6.8.x

FP20+/SP5+

6.8.x

7.9.x - 7.10.x

Liferay Connector to Elasticsearch 7 (v2.x*)

* Will be released.
** Oracle JDK 11 and other Java TCK compliant builds of Java 11 and 8 are compatible with Elastic Stack 6.6.0+.
Please see this article for a technical overview of the Elasticsearch connectors available for Liferay DXP. To learn more about the factors that influence Liferay DXP’s compatibility with Elasticsearch click here.

Solr

DXP Patch Level

Solr Version(s)

Solr Connector
(Marketplace Version)

DXP 7.1 GA1+

7.5.x

Liferay Connector to Solr 7 (v1.x)

 

Liferay DXP 7.0

Elasticsearch

DXP Patch Level

Elasticsearch Version(s)

Elasticsearch Connector (Marketplace Version)

JDK (Elasticsearch)

DXP 7.0 GA1 through FP21

2.2.x*

Bundled on the specified patch level

Oracle JDK 8

FP22+

2.4.x*

FP42+ through FP69

6.1.x

Liferay Connector to Elasticsearch 6 (v1.0.0)

FP70+ through FP78

Liferay Connector to Elasticsearch 6 (v1.0.1)

FP79+ through FP95

6.5.x - 6.8.x

Liferay Connector to Elasticsearch 6 (v1.1.0)

FP96+

Liferay Connector to Elasticsearch 6 (v1.2.0)

* Elasticsearch 2.x has reached its End of Life (EOL) in 2018. Consider upgrading to Elasticsearch 6.x which will continue to be maintained by Elastic until the release of Elasticsearch 8.0.
Please see this article for a technical overview of the Elasticsearch connectors available for Liferay DXP. To learn more about the factors that influence Liferay DXP’s compatibility with Elasticsearch click here.

Solr

DXP Patch Level

Solr Version(s)

Solr Connector
(Marketplace Version)

DXP 7.0 GA1 through FP87

5.2.x - 5.5.x


Liferay Solr 5 Search Engine (v1.0.0 - v1.1.1)

FP88+

Liferay Solr 5 Search Engine (v1.1.2)

FP97+

Liferay Solr 5 Search Engine (v1.1.3)

 

Reference the tables below to learn more about the compatible configurations and the available applications of LES.

LES 3.0

Elastic Stack Version DXP Version
(Patch Level)
LES Application
(Marketplace Version)
Elasticsearch Connector (Marketplace Version)
7.x* DXP 7.3 (GA1+) Liferay Enterprise Search Cross-Cluster Replication (4.x)
Liferay Enterprise Search Monitoring (4.x)
Liferay Enterprise Search Learning to Rank** (3.x)
Bundled on the specified patch level
DXP 7.2 (FP9+/SP4+) Liferay Enterprise Search Cross-Cluster Replication (v3.x) Liferay Connector to Elasticsearch 7 (v3.2.1+*)
DXP 7.2 (FP2+/SP1+) Liferay Enterprise Search Monitoring (3.x)

Liferay Connector to Elasticsearch 7 (v3.x*)

DXP 7.2 (FP3+) Liferay Enterprise Search Learning to Rank** (2.x)

The functionality of the Liferay Enterprise Search Security (formerly Liferay Connector to X-Pack Security) module is included in the Liferay Connector to Elasticsearch 7 which is bundled with Liferay DXP 7.3, and is also available as a drop-in replacement through Marketplace for Liferay DXP 7.2.
* Please refer to the compatibility matrix of your Liferay DXP version on this page for the detailed Elasticsearch compatibility including the compatible connector versions and required patch levels. (Jump to DXP 7.3 / DXP 7.2 / DXP 7.1 / DXP 7.0.)
** Requires a compatible Elasticsearch Learning to Rank plugin to be installed on the Elasticsearch server. You can find the available pre-built versions here.

LES 2.0

Elastic Stack Version DXP Version
(Patch Level)
LES Application
(Marketplace Version)
Elasticsearch Connector (Marketplace Version)
6.x* DXP 7.2 (GA1+) Liferay Enterprise Search Monitoring (3.x)
Liferay Enterprise Search Security (3.x)
Bundled on the specified patch level
DXP 7.2 (FP3+) Liferay Enterprise Search Learning to Rank** (2.x) Bundled on the specified patch level
DXP 7.1 (FP5+) Liferay Enterprise Search Monitoring (2.x)
Liferay Enterprise Search Security (2.x)
Bundled on the specified patch level
DXP 7.0 (FP79+) Liferay Enterprise Search Monitoring (1.x)
Liferay Enterprise Search Security (1.x)
Liferay Connector to Elasticsearch 6
(v1.x*)

* Please refer to the compatibility matrix of your Liferay DXP version on this page for the detailed Elasticsearch compatibility including the compatible connector versions and required patch levels. (Jump to DXP 7.3 / DXP 7.2 / DXP 7.1 / DXP 7.0.)
** Requires a compatible Elasticsearch Learning to Rank plugin to be installed on the Elasticsearch server. You can find the available pre-built versions here.

 

Liferay Portal CE

Elasticsearch

Liferay Portal Version

Elasticsearch Version(s)

Elasticsearch Connector
(Marketplace Version)

7.3 CE GA6

7.9+ (7.x)

Bundled

7.3 CE GA4 - GA5

7.3+ (7.x)

7.3 CE GA3

6.5.x - 6.8.x

7.2 CE GA2

6.5.x - 6.8.x

7.3.x - 7.6.x

Liferay CE Connector to Elasticsearch 7 (v2.0.0)
7.1 CE GA3

6.5.x - 6.8.x

Bundled
7.0 CE GA7

6.1.x

Liferay CE Connector to Elasticsearch 6 (v1.0.0) 

2.4.x

Bundled

Solr

Liferay Portal Version

Solr Version(s)

Solr Connector
(Marketplace Version)

7.2 CE GA2

7.5.x

Liferay CE Connector to Solr 7 (2.x)

7.2 CE GA3

Liferay CE Connector to Solr 7 (1.x)

7.0 CE GA7

5.2.x - 5.5.x

Liferay CE Solr 5 Search Engine (v1.x)

 


Elastic, Elasticsearch, and X-Pack are trademarks of Elasticsearch BV, registered in the U.S. and in other countries.

¿Fue útil este artículo?
Usuarios a los que les pareció útil: 5 de 5